The Stock Entry object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

status string

Default: draft

stock_entry_type string required
outgoing_stock_entry string
source_stock_entry string
purpose string
company string required
work_order string
purchase_order string
subcontracting_order string
delivery_note_no string
sales_invoice_no string
purchase_receipt_no string
posting_date string
posting_time string
set_posting_time boolean

Default: false

inspection_required boolean

Default: false

from_bom boolean

Default: false

bom_no string
fg_completed_qty number
use_multi_level_bom boolean

Default: true

from_warehouse string
source_warehouse_address string
source_address_display string
to_warehouse string
target_warehouse_address string
target_address_display string
scan_barcode string
total_incoming_value number
total_outgoing_value number
value_difference number
total_additional_costs number
supplier string
supplier_name string
supplier_address string
address_display string
select_print_heading string
letter_head string
is_opening string
project string
remarks string
per_transferred number
total_amount number
job_card string
credit_note string
pick_list string
add_to_transit boolean

Default: false

apply_putaway_rule boolean

Default: false

is_return boolean

Default: false

process_loss_qty number
process_loss_percentage number
asset_repair string
is_additional_transfer_entry boolean

Default: false

subcontracting_inward_order string
cost_center string
The Stock Entry object
{
  "id": "stock-entry_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "stock_entry_type": "stock_entry_type_example",
  "outgoing_stock_entry": "outgoing_stock_entry_example",
  "source_stock_entry": "source_stock_entry_example",
  "purpose": "purpose_example",
  "company": "Example Corp",
  "work_order": "work_order_example",
  "purchase_order": "purchase_order_example",
  "subcontracting_order": "subcontracting_order_example",
  "delivery_note_no": "delivery_note_no_example",
  "sales_invoice_no": "sales_invoice_no_example",
  "purchase_receipt_no": "purchase_receipt_no_example",
  "posting_date": "2024-01-15",
  "posting_time": "posting_time_example",
  "set_posting_time": false,
  "inspection_required": false,
  "from_bom": false,
  "bom_no": "bom_no_example",
  "fg_completed_qty": 0,
  "use_multi_level_bom": true,
  "from_warehouse": "from_warehouse_example",
  "source_warehouse_address": "source_warehouse_address_example",
  "source_address_display": "source_address_display_example",
  "to_warehouse": "to_warehouse_example",
  "target_warehouse_address": "target_warehouse_address_example",
  "target_address_display": "target_address_display_example",
  "scan_barcode": "scan_barcode_example",
  "total_incoming_value": 0,
  "total_outgoing_value": 0,
  "value_difference": 0,
  "total_additional_costs": 0,
  "supplier": "supplier_example",
  "supplier_name": "supplier_name_example",
  "supplier_address": "supplier_address_example",
  "address_display": "address_display_example",
  "select_print_heading": "select_print_heading_example",
  "letter_head": "letter_head_example",
  "is_opening": "is_opening_example",
  "project": "project_example",
  "remarks": "remarks_example",
  "per_transferred": 0,
  "total_amount": 0,
  "job_card": "job_card_example",
  "credit_note": "credit_note_example",
  "pick_list": "pick_list_example",
  "add_to_transit": false,
  "apply_putaway_rule": false,
  "is_return": false,
  "process_loss_qty": 0,
  "process_loss_percentage": 0,
  "asset_repair": "asset_repair_example",
  "is_additional_transfer_entry": false,
  "subcontracting_inward_order": "subcontracting_inward_order_example",
  "cost_center": "cost_center_example"
}
GET /api/stock/stock-entry/{id}

Retrieve a stock entry

Retrieves the details of an existing stock entry. Supply the unique stock entry ID that was returned from a previous request.

Path parameters

id string required

The identifier of the stock entry to retrieve.

Returns

Returns the stock entry object if a valid identifier was provided.

GET /api/stock/stock-entry/{id}
curl https://api.overplane.dev/api/stock/stock-entry/stock-entry_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "stock-entry_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "stock_entry_type": "stock_entry_type_example",
  "outgoing_stock_entry": "outgoing_stock_entry_example",
  "source_stock_entry": "source_stock_entry_example",
  "purpose": "purpose_example",
  "company": "Example Corp",
  "work_order": "work_order_example",
  "purchase_order": "purchase_order_example",
  "subcontracting_order": "subcontracting_order_example",
  "delivery_note_no": "delivery_note_no_example",
  "sales_invoice_no": "sales_invoice_no_example",
  "purchase_receipt_no": "purchase_receipt_no_example",
  "posting_date": "2024-01-15",
  "posting_time": "posting_time_example",
  "set_posting_time": false,
  "inspection_required": false,
  "from_bom": false,
  "bom_no": "bom_no_example",
  "fg_completed_qty": 0,
  "use_multi_level_bom": true,
  "from_warehouse": "from_warehouse_example",
  "source_warehouse_address": "source_warehouse_address_example",
  "source_address_display": "source_address_display_example",
  "to_warehouse": "to_warehouse_example",
  "target_warehouse_address": "target_warehouse_address_example",
  "target_address_display": "target_address_display_example",
  "scan_barcode": "scan_barcode_example",
  "total_incoming_value": 0,
  "total_outgoing_value": 0,
  "value_difference": 0,
  "total_additional_costs": 0,
  "supplier": "supplier_example",
  "supplier_name": "supplier_name_example",
  "supplier_address": "supplier_address_example",
  "address_display": "address_display_example",
  "select_print_heading": "select_print_heading_example",
  "letter_head": "letter_head_example",
  "is_opening": "is_opening_example",
  "project": "project_example",
  "remarks": "remarks_example",
  "per_transferred": 0,
  "total_amount": 0,
  "job_card": "job_card_example",
  "credit_note": "credit_note_example",
  "pick_list": "pick_list_example",
  "add_to_transit": false,
  "apply_putaway_rule": false,
  "is_return": false,
  "process_loss_qty": 0,
  "process_loss_percentage": 0,
  "asset_repair": "asset_repair_example",
  "is_additional_transfer_entry": false,
  "subcontracting_inward_order": "subcontracting_inward_order_example",
  "cost_center": "cost_center_example"
}
GET /api/stock/stock-entry

List all stock entrys

Returns a list of stock entrys. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of stock entry objects.

GET /api/stock/stock-entry
curl https://api.overplane.dev/api/stock/stock-entry \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "stock-entry_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z",
      "status": "draft",
      "stock_entry_type": "stock_entry_type_example",
      "outgoing_stock_entry": "outgoing_stock_entry_example",
      "source_stock_entry": "source_stock_entry_example",
      "purpose": "purpose_example",
      "company": "Example Corp",
      "work_order": "work_order_example",
      "purchase_order": "purchase_order_example",
      "subcontracting_order": "subcontracting_order_example",
      "delivery_note_no": "delivery_note_no_example",
      "sales_invoice_no": "sales_invoice_no_example",
      "purchase_receipt_no": "purchase_receipt_no_example",
      "posting_date": "2024-01-15",
      "posting_time": "posting_time_example",
      "set_posting_time": false,
      "inspection_required": false,
      "from_bom": false,
      "bom_no": "bom_no_example",
      "fg_completed_qty": 0,
      "use_multi_level_bom": true,
      "from_warehouse": "from_warehouse_example",
      "source_warehouse_address": "source_warehouse_address_example",
      "source_address_display": "source_address_display_example",
      "to_warehouse": "to_warehouse_example",
      "target_warehouse_address": "target_warehouse_address_example",
      "target_address_display": "target_address_display_example",
      "scan_barcode": "scan_barcode_example",
      "total_incoming_value": 0,
      "total_outgoing_value": 0,
      "value_difference": 0,
      "total_additional_costs": 0,
      "supplier": "supplier_example",
      "supplier_name": "supplier_name_example",
      "supplier_address": "supplier_address_example",
      "address_display": "address_display_example",
      "select_print_heading": "select_print_heading_example",
      "letter_head": "letter_head_example",
      "is_opening": "is_opening_example",
      "project": "project_example",
      "remarks": "remarks_example",
      "per_transferred": 0,
      "total_amount": 0,
      "job_card": "job_card_example",
      "credit_note": "credit_note_example",
      "pick_list": "pick_list_example",
      "add_to_transit": false,
      "apply_putaway_rule": false,
      "is_return": false,
      "process_loss_qty": 0,
      "process_loss_percentage": 0,
      "asset_repair": "asset_repair_example",
      "is_additional_transfer_entry": false,
      "subcontracting_inward_order": "subcontracting_inward_order_example",
      "cost_center": "cost_center_example"
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/stock/stock-entry

Create a stock entry

Creates a new stock entry object.

Body parameters

status string

Default: draft

stock_entry_type string required
outgoing_stock_entry string
source_stock_entry string
purpose string
company string required
work_order string
purchase_order string
subcontracting_order string
delivery_note_no string
sales_invoice_no string
purchase_receipt_no string
posting_date string
posting_time string
set_posting_time boolean

Default: false

inspection_required boolean

Default: false

from_bom boolean

Default: false

bom_no string
fg_completed_qty number
use_multi_level_bom boolean

Default: true

from_warehouse string
source_warehouse_address string
source_address_display string
to_warehouse string
target_warehouse_address string
target_address_display string
scan_barcode string
total_incoming_value number
total_outgoing_value number
value_difference number
total_additional_costs number
supplier string
supplier_name string
supplier_address string
address_display string
select_print_heading string
letter_head string
is_opening string
project string
remarks string
per_transferred number
total_amount number
job_card string
credit_note string
pick_list string
add_to_transit boolean

Default: false

apply_putaway_rule boolean

Default: false

is_return boolean

Default: false

process_loss_qty number
process_loss_percentage number
asset_repair string
is_additional_transfer_entry boolean

Default: false

subcontracting_inward_order string
cost_center string

Returns

Returns the newly created stock entry object if the call succeeded.

POST /api/stock/stock-entry
curl https://api.overplane.dev/api/stock/stock-entry \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"stock_entry_type":"stock_entry_type_example","company":"Example Corp"}'
Response
{
  "id": "stock-entry_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "stock_entry_type": "stock_entry_type_example",
  "outgoing_stock_entry": "outgoing_stock_entry_example",
  "source_stock_entry": "source_stock_entry_example",
  "purpose": "purpose_example",
  "company": "Example Corp",
  "work_order": "work_order_example",
  "purchase_order": "purchase_order_example",
  "subcontracting_order": "subcontracting_order_example",
  "delivery_note_no": "delivery_note_no_example",
  "sales_invoice_no": "sales_invoice_no_example",
  "purchase_receipt_no": "purchase_receipt_no_example",
  "posting_date": "2024-01-15",
  "posting_time": "posting_time_example",
  "set_posting_time": false,
  "inspection_required": false,
  "from_bom": false,
  "bom_no": "bom_no_example",
  "fg_completed_qty": 0,
  "use_multi_level_bom": true,
  "from_warehouse": "from_warehouse_example",
  "source_warehouse_address": "source_warehouse_address_example",
  "source_address_display": "source_address_display_example",
  "to_warehouse": "to_warehouse_example",
  "target_warehouse_address": "target_warehouse_address_example",
  "target_address_display": "target_address_display_example",
  "scan_barcode": "scan_barcode_example",
  "total_incoming_value": 0,
  "total_outgoing_value": 0,
  "value_difference": 0,
  "total_additional_costs": 0,
  "supplier": "supplier_example",
  "supplier_name": "supplier_name_example",
  "supplier_address": "supplier_address_example",
  "address_display": "address_display_example",
  "select_print_heading": "select_print_heading_example",
  "letter_head": "letter_head_example",
  "is_opening": "is_opening_example",
  "project": "project_example",
  "remarks": "remarks_example",
  "per_transferred": 0,
  "total_amount": 0,
  "job_card": "job_card_example",
  "credit_note": "credit_note_example",
  "pick_list": "pick_list_example",
  "add_to_transit": false,
  "apply_putaway_rule": false,
  "is_return": false,
  "process_loss_qty": 0,
  "process_loss_percentage": 0,
  "asset_repair": "asset_repair_example",
  "is_additional_transfer_entry": false,
  "subcontracting_inward_order": "subcontracting_inward_order_example",
  "cost_center": "cost_center_example"
}
PATCH /api/stock/stock-entry/{id}

Update a stock entry

Updates the specified stock entry by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the stock entry to update.

Body parameters

status string

Default: draft

stock_entry_type string
outgoing_stock_entry string
source_stock_entry string
purpose string
company string
work_order string
purchase_order string
subcontracting_order string
delivery_note_no string
sales_invoice_no string
purchase_receipt_no string
posting_date string
posting_time string
set_posting_time boolean

Default: false

inspection_required boolean

Default: false

from_bom boolean

Default: false

bom_no string
fg_completed_qty number
use_multi_level_bom boolean

Default: true

from_warehouse string
source_warehouse_address string
source_address_display string
to_warehouse string
target_warehouse_address string
target_address_display string
scan_barcode string
total_incoming_value number
total_outgoing_value number
value_difference number
total_additional_costs number
supplier string
supplier_name string
supplier_address string
address_display string
select_print_heading string
letter_head string
is_opening string
project string
remarks string
per_transferred number
total_amount number
job_card string
credit_note string
pick_list string
add_to_transit boolean

Default: false

apply_putaway_rule boolean

Default: false

is_return boolean

Default: false

process_loss_qty number
process_loss_percentage number
asset_repair string
is_additional_transfer_entry boolean

Default: false

subcontracting_inward_order string
cost_center string

Returns

Returns the updated stock entry object.

PATCH /api/stock/stock-entry/{id}
curl https://api.overplane.dev/api/stock/stock-entry/stock-entry_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"status":"draft","stock_entry_type":"stock_entry_type_example"}'
Response
{
  "id": "stock-entry_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "stock_entry_type": "stock_entry_type_example",
  "outgoing_stock_entry": "outgoing_stock_entry_example",
  "source_stock_entry": "source_stock_entry_example",
  "purpose": "purpose_example",
  "company": "Example Corp",
  "work_order": "work_order_example",
  "purchase_order": "purchase_order_example",
  "subcontracting_order": "subcontracting_order_example",
  "delivery_note_no": "delivery_note_no_example",
  "sales_invoice_no": "sales_invoice_no_example",
  "purchase_receipt_no": "purchase_receipt_no_example",
  "posting_date": "2024-01-15",
  "posting_time": "posting_time_example",
  "set_posting_time": false,
  "inspection_required": false,
  "from_bom": false,
  "bom_no": "bom_no_example",
  "fg_completed_qty": 0,
  "use_multi_level_bom": true,
  "from_warehouse": "from_warehouse_example",
  "source_warehouse_address": "source_warehouse_address_example",
  "source_address_display": "source_address_display_example",
  "to_warehouse": "to_warehouse_example",
  "target_warehouse_address": "target_warehouse_address_example",
  "target_address_display": "target_address_display_example",
  "scan_barcode": "scan_barcode_example",
  "total_incoming_value": 0,
  "total_outgoing_value": 0,
  "value_difference": 0,
  "total_additional_costs": 0,
  "supplier": "supplier_example",
  "supplier_name": "supplier_name_example",
  "supplier_address": "supplier_address_example",
  "address_display": "address_display_example",
  "select_print_heading": "select_print_heading_example",
  "letter_head": "letter_head_example",
  "is_opening": "is_opening_example",
  "project": "project_example",
  "remarks": "remarks_example",
  "per_transferred": 0,
  "total_amount": 0,
  "job_card": "job_card_example",
  "credit_note": "credit_note_example",
  "pick_list": "pick_list_example",
  "add_to_transit": false,
  "apply_putaway_rule": false,
  "is_return": false,
  "process_loss_qty": 0,
  "process_loss_percentage": 0,
  "asset_repair": "asset_repair_example",
  "is_additional_transfer_entry": false,
  "subcontracting_inward_order": "subcontracting_inward_order_example",
  "cost_center": "cost_center_example"
}
DELETE /api/stock/stock-entry/{id}

Delete a stock entry

Permanently deletes a stock entry. This cannot be undone.

Path parameters

id string required

The identifier of the stock entry to delete.

Returns

Returns a confirmation that the stock entry has been deleted.

DELETE /api/stock/stock-entry/{id}
curl https://api.overplane.dev/api/stock/stock-entry/stock-entry_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "stock-entry_abc123",
  "deleted": true
}
POST /api/stock/stock-entry/{id}/submit

Submit a stock entry

Submits a draft stock entry, transitioning its status from draft to submitted.

Path parameters

id string required

The identifier of the stock entry to act on.

Returns

Returns the stock entry object with updated status.

POST /api/stock/stock-entry/{id}/submit
curl https://api.overplane.dev/api/stock/stock-entry/stock-entry_abc123/submit \
  -H "Authorization: Bearer sk_test_..." \
  -X POST
Response
{
  "id": "stock-entry_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "stock_entry_type": "stock_entry_type_example",
  "outgoing_stock_entry": "outgoing_stock_entry_example",
  "source_stock_entry": "source_stock_entry_example",
  "purpose": "purpose_example",
  "company": "Example Corp",
  "work_order": "work_order_example",
  "purchase_order": "purchase_order_example",
  "subcontracting_order": "subcontracting_order_example",
  "delivery_note_no": "delivery_note_no_example",
  "sales_invoice_no": "sales_invoice_no_example",
  "purchase_receipt_no": "purchase_receipt_no_example",
  "posting_date": "2024-01-15",
  "posting_time": "posting_time_example",
  "set_posting_time": false,
  "inspection_required": false,
  "from_bom": false,
  "bom_no": "bom_no_example",
  "fg_completed_qty": 0,
  "use_multi_level_bom": true,
  "from_warehouse": "from_warehouse_example",
  "source_warehouse_address": "source_warehouse_address_example",
  "source_address_display": "source_address_display_example",
  "to_warehouse": "to_warehouse_example",
  "target_warehouse_address": "target_warehouse_address_example",
  "target_address_display": "target_address_display_example",
  "scan_barcode": "scan_barcode_example",
  "total_incoming_value": 0,
  "total_outgoing_value": 0,
  "value_difference": 0,
  "total_additional_costs": 0,
  "supplier": "supplier_example",
  "supplier_name": "supplier_name_example",
  "supplier_address": "supplier_address_example",
  "address_display": "address_display_example",
  "select_print_heading": "select_print_heading_example",
  "letter_head": "letter_head_example",
  "is_opening": "is_opening_example",
  "project": "project_example",
  "remarks": "remarks_example",
  "per_transferred": 0,
  "total_amount": 0,
  "job_card": "job_card_example",
  "credit_note": "credit_note_example",
  "pick_list": "pick_list_example",
  "add_to_transit": false,
  "apply_putaway_rule": false,
  "is_return": false,
  "process_loss_qty": 0,
  "process_loss_percentage": 0,
  "asset_repair": "asset_repair_example",
  "is_additional_transfer_entry": false,
  "subcontracting_inward_order": "subcontracting_inward_order_example",
  "cost_center": "cost_center_example"
}
POST /api/stock/stock-entry/{id}/cancel

Cancel a stock entry

Cancels a submitted stock entry, transitioning its status to cancelled.

Path parameters

id string required

The identifier of the stock entry to act on.

Returns

Returns the stock entry object with updated status.

POST /api/stock/stock-entry/{id}/cancel
curl https://api.overplane.dev/api/stock/stock-entry/stock-entry_abc123/cancel \
  -H "Authorization: Bearer sk_test_..." \
  -X POST
Response
{
  "id": "stock-entry_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "stock_entry_type": "stock_entry_type_example",
  "outgoing_stock_entry": "outgoing_stock_entry_example",
  "source_stock_entry": "source_stock_entry_example",
  "purpose": "purpose_example",
  "company": "Example Corp",
  "work_order": "work_order_example",
  "purchase_order": "purchase_order_example",
  "subcontracting_order": "subcontracting_order_example",
  "delivery_note_no": "delivery_note_no_example",
  "sales_invoice_no": "sales_invoice_no_example",
  "purchase_receipt_no": "purchase_receipt_no_example",
  "posting_date": "2024-01-15",
  "posting_time": "posting_time_example",
  "set_posting_time": false,
  "inspection_required": false,
  "from_bom": false,
  "bom_no": "bom_no_example",
  "fg_completed_qty": 0,
  "use_multi_level_bom": true,
  "from_warehouse": "from_warehouse_example",
  "source_warehouse_address": "source_warehouse_address_example",
  "source_address_display": "source_address_display_example",
  "to_warehouse": "to_warehouse_example",
  "target_warehouse_address": "target_warehouse_address_example",
  "target_address_display": "target_address_display_example",
  "scan_barcode": "scan_barcode_example",
  "total_incoming_value": 0,
  "total_outgoing_value": 0,
  "value_difference": 0,
  "total_additional_costs": 0,
  "supplier": "supplier_example",
  "supplier_name": "supplier_name_example",
  "supplier_address": "supplier_address_example",
  "address_display": "address_display_example",
  "select_print_heading": "select_print_heading_example",
  "letter_head": "letter_head_example",
  "is_opening": "is_opening_example",
  "project": "project_example",
  "remarks": "remarks_example",
  "per_transferred": 0,
  "total_amount": 0,
  "job_card": "job_card_example",
  "credit_note": "credit_note_example",
  "pick_list": "pick_list_example",
  "add_to_transit": false,
  "apply_putaway_rule": false,
  "is_return": false,
  "process_loss_qty": 0,
  "process_loss_percentage": 0,
  "asset_repair": "asset_repair_example",
  "is_additional_transfer_entry": false,
  "subcontracting_inward_order": "subcontracting_inward_order_example",
  "cost_center": "cost_center_example"
}

Line items

Child objects that belong to this stock entry. These are accessed via the parent's ID.

Stock Entry Detail

Attributes

idx integer
stock_entry_id string required
barcode string
s_warehouse string
t_warehouse string
item_code string required
item_name string
description string
image string
image_view string
qty number required
basic_rate number
basic_amount number
additional_cost number
amount number
valuation_rate number
uom string required
conversion_factor number required
stock_uom string required
transfer_qty number required
retain_sample boolean
sample_quantity integer
serial_no string
batch_no string
quality_inspection string
expense_account string
cost_center string
allow_zero_valuation_rate boolean
actual_qty number
bom_no string
allow_alternative_item boolean
material_request string
material_request_item string
original_item string
subcontracted_item string
against_stock_entry string
ste_detail string
transferred_qty number
item_group string
reference_purchase_receipt string
project string
po_detail string
sco_rm_detail string
set_basic_rate_manually boolean
putaway_rule string
is_finished_item boolean
job_card_item string
has_item_scanned boolean
serial_and_batch_bundle string
use_serial_batch_fields boolean
landed_cost_voucher_amount number
customer_provided_item_cost number
scio_detail string
against_fg string
type string
bom_secondary_item string
is_legacy_scrap_item boolean

Endpoints

GET /api/stock/stock-entry-detail?parent_id={id}
POST /api/stock/stock-entry-detail
PATCH /api/stock/stock-entry-detail/{id}
DELETE /api/stock/stock-entry-detail/{id}
POST /api/stock/stock-entry-detail/reorder
Stock Entry Detail object
{
  "id": "stock-entry-detail_abc123",
  "idx": 1,
  "stock_entry_id": "stock_entry_id_example",
  "barcode": "barcode_example",
  "s_warehouse": "s_warehouse_example",
  "t_warehouse": "t_warehouse_example",
  "item_code": "item_code_example",
  "item_name": "item_name_example",
  "description": "description_example",
  "image": "image_example",
  "image_view": "image_view_example",
  "qty": 0,
  "basic_rate": 0,
  "basic_amount": 0,
  "additional_cost": 0,
  "amount": 0,
  "valuation_rate": 0,
  "uom": "uom_example",
  "conversion_factor": 0,
  "stock_uom": "stock_uom_example",
  "transfer_qty": 0,
  "retain_sample": false,
  "sample_quantity": 0,
  "serial_no": "serial_no_example",
  "batch_no": "batch_no_example",
  "quality_inspection": "quality_inspection_example",
  "expense_account": "expense_account_example",
  "cost_center": "cost_center_example",
  "allow_zero_valuation_rate": false,
  "actual_qty": 0,
  "bom_no": "bom_no_example",
  "allow_alternative_item": false,
  "material_request": "material_request_example",
  "material_request_item": "material_request_item_example",
  "original_item": "original_item_example",
  "subcontracted_item": "subcontracted_item_example",
  "against_stock_entry": "against_stock_entry_example",
  "ste_detail": "ste_detail_example",
  "transferred_qty": 0,
  "item_group": "item_group_example",
  "reference_purchase_receipt": "reference_purchase_receipt_example",
  "project": "project_example",
  "po_detail": "po_detail_example",
  "sco_rm_detail": "sco_rm_detail_example",
  "set_basic_rate_manually": false,
  "putaway_rule": "putaway_rule_example",
  "is_finished_item": false,
  "job_card_item": "job_card_item_example",
  "has_item_scanned": false,
  "serial_and_batch_bundle": "serial_and_batch_bundle_example",
  "use_serial_batch_fields": false,
  "landed_cost_voucher_amount": 0,
  "customer_provided_item_cost": 0,
  "scio_detail": "scio_detail_example",
  "against_fg": "against_fg_example",
  "type": "type_example",
  "bom_secondary_item": "bom_secondary_item_example",
  "is_legacy_scrap_item": false
}